<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:param name="servlet" select="'undefined'"/>
  <xsl:param name="group" select="'undefined'"/>
  <xsl:param name="lcletters" select="'abcdefghijklmnopqrstuvwxyz'"/>
  <xsl:param name="ucletters" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
  <xsl:template match="/">
    <xsl:text disable-output-escaping="yes">
      <![CDATA[<!DOCTYPE vxml PUBLIC "-//Tellme Networks//Voice Markup Language 1.0//EN" "http://resources.tellme.com/toolbox/vxml-tellme.dtd">]]>
    </xsl:text>
    <vxml application="Phonebook.vxml">
      <menu id="SelectContact">
        <prompt>Got <xsl:value-of select="count(phonebook/contact)"/> contacts. Please say the name of the contact you wish to call.</prompt>
        <xsl:for-each select="phonebook/contact">
          <choice><xsl:attribute name="next"><xsl:value-of select="$servlet"/>?mode=selectNumber&amp;group=<xsl:value-of select="$group"/>&amp;contact=<xsl:value-of select="@id"/></xsl:attribute>(<xsl:value-of select="translate(name/firstname,$ucletters,$lcletters)"/><xsl:text> </xsl:text><xsl:value-of select="translate(name/lastname,$ucletters,$lcletters)"/>)</choice>
        </xsl:for-each>
        <catch event="nomatch noinput help">
          <reprompt/>
        </catch>
      </menu>
    </vxml>
  </xsl:template>
</xsl:stylesheet>
